---
baseURL: 'https://samuel.ortion.fr/'
languageCode: en-us
title: A blog from a juvenile Geekus biologicus
theme: 'mus' 
paginate: 10

params:
  author: Samuel Ortion
  email: samuel@ortion.fr
  avatar: /images/me.png
  description: "The blog of a juvenile Geekus biologicus"
  # Uncomment if you need this
  # images:
  #   - images/og-featured.png # relative path to "static" directory
  # customCSS:
  #   - css/my.css # relative path to "assets" directory (don't use main.css filename)
  # customJS:
  #   - js/main.js # relative path to "assets" directory
  dateFormat: "2006-01-02"
  paginationSinglePost: true
  style: light-without-switcher
  mainSections: [ "posts" ] # which sections should be on index/main page
  sectionsWithFullContentOnListPage: [ "notes" ] # for which sections content should be displayed on list pages
  readMore: false # show read more button
  readNextPosts: 5  # show 5 related posts, 0 by default
  disableSummary: false
  toc: true # display Table of Contents
  tocWordCount: 300 # ...when a post is longer than 300 words
  copyCodeButton: true # true by default
  rssAsSocialIcon: true
  mathjax: true # https://www.mathjax.

languages:
  fr:
    languagedirection: fr
    title: Le blog d'un <i>Geekus biologicus</i> juvénile
    weight: 1
  en:
    title: The blog of a juvenile <i>Geekus biologicus</i>
    languagedirection: en
    weight: 2
markup:
  highlight:
    style: nord
  goldmark:
    renderer:
      unsafe: true # enable raw HTML in Markdown
    extensions:
      passthrough:
        delimiters:
          block:
          - - \[
            - \]
          - - $$
            - $$
          inline:
          - - \(
            - \)
          - - $
            - $
        enable: true

params:
    math: true
    repo: https://forge.s1gm4.eu/sortion/blog/

# mediaTypes:
#   text/gemini:
#     suffixes:
#       - "gmi"

# outputFormats:
#   GEMINI:
#     name: GEMINI
#     isPlainText: true
#     isHTML: false
#     mediatype: text/gemini
#     protocol: "gemini://"
#     permalinkable: true

outputs:
  home: ["HTML", "RSS",] # "GEMINI"]
  page: ["HTML"] #, "GEMINI"]
